<!doctype html>
<html lang="en">
<head>
<title>49-building-from-source-tutorial</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac">References:</span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac">    </span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac">https://wiki.debian.org/Packaging/Pre-Requisites</span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac"></span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac">https://wiki.debian.org/BuildingTutorial</span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 1:</span><span class="a_DCmBGQPOnyDoFk78" title="a_DCmBGQPOnyDoFk78" style="background-color:#ccb4c0"> In my debian bullseye/unstable, the 'adduser' command doesn't exist, I've installed schroot, sbuild/devscripts.. what am I missing? </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_Ll4HLknKoUp9C8wt" title="a_Ll4HLknKoUp9C8wt" style="background-color:#3c34ac">adduser package provides /usr/sbin/adduser so make sure this package is installed and you have /usr/sbin in PATH, may be you need to run it as root or using sudo</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 2:</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    Got to the talk a bit late - for the Docker build environment setup, another option is Dedicated User Environment, which does a lot of the setup for building in a container, and is packaged in Bullseye as due.</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    - can you add this info to https://wiki.debian.org/Packaging/Pre-Requisites/Docker ?</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    Yes  -I'll check my credentials to edit it. (full disclosure I'm the maintainer) </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    - that should be fine</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    For any followup questions, write to praveen@debian.org or via matrix @praveen:poddery.com or xmpp praveen@poddery.com</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 3:</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 4:</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    Info: </span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    we cannot hear volume is low</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    better now?</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    yes a bit better but still a bit low</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    now it's ok</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">    :) thats good</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
